Packages - Bug #3395

[ruby] Requires rubygems, which conflicts with your-freedom
2022-12-16 12:08 AM - CommodoreCrunch

Status: fixed % Done: 100%
Priority: bug

Assignee: lukeshu

Category:

Description

Found myself unable to update because many packages depend on ruby, including parabola-hackers, and ruby depends on
rubygems. Can the package in libre be updated to remove this dependency now that it's been blacklisted in your-freedom?

Subtasks:

Bug # 3405: [various]: RubyGems were not loaded fixed

Freedom Issue # 3406: [various]: “require': cannot load such file -- rubygems (LoadError) fixed
Bug # 3440: metasploit fails to start fixed

Related issues:

Related to Packages - Freedom Issue #2601: [ruby][rubygems][your-system-sanit... fixed

Related to Packages - Freedom Issue #1035: [your-system-sanity]: Non-Free Sof... in progress

History

#1 - 2022-12-16 08:08 PM - clarintux

| have the same problem:

:: your-freedom and rubygems are in conflict. Remove rubygems? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: removing rubygems breaks dependency 'rubygems' required by ruby

#2 - 2022-12-19 11:37 PM - bill-auger
- Assignee set to bill-auger

- Status changed from unconfirmed to in progress

#3 - 2022-12-20 06:27 PM - bill-auger
- Related to Freedom Issue #2601 [ruby][rubygems][your-system-sanity] Dependencies added

#4 - 2022-12-20 06:28 PM - bill-auger

related to #1035 via #2601

this should be fixed now - the new 'ruby' package no longer depends on 'rubygems' - it is still unclear what the fall-out may be - for some reason,
arch's 'ruby' has depended on 'rubygems' since about 3 years ago - do i lIRC, the ‘rubygems’ binary was in the 'ruby' package before that? - perhaps
a future bug report will make that reason clear

i noticed one annoyance (probably minor) - every CLI command warns on STDERR: "RubyGems were not loaded"; but ruby works nonethless

$ ruby -e 'puts "hello"'

"RubyGems' were not loaded.
hello

#5 - 2022-12-21 04:54 PM - bill-auger

- Status changed from in progress to fixed

#6 - 2022-12-21 10:18 PM - bill-auger

- Status changed from fixed to in progress

#7 - 2022-12-22 09:50 AM - clarintux

Some programs still give problems:
https://labs.parabola.nu/issues/1035
https://labs.parabola.nu/issues/2601

"RubyGems' were not loaded.
/usr/bin/lolcat:9:in ‘require': cannot load such file —-- rubygems (LoadError)
from /usr/bin/lolcat:9:in "~ <main>'

#8 - 2022-12-22 05:26 PM - bill-auger
clarintux - those errors are covered by the two sub-tasks

e Bug #3405: [various]: RubyGems were not loaded
* Freedom Issue #3406: [various]: “require': cannot load such file -- rubygems (LoadError)

any examples of "rubygems (LoadError)" will need to be investigated and treated or deleted, on a one-by-one basis - #3406 already mentions 'lolcat'

#9 - 2023-02-02 11:22 PM - bill-auger
- Related to Freedom Issue #1035: [your-system-sanity]: Non-Free Software From Third-party Package Managers (TPPM) added

#10 - 2024-02-26 01:41 AM - bill-auger
'rubygems' was patched and re-instated - so this specific problem is fixed now - just waiting on the sub-tasks now
can people check those:

® "RubyGems' were not loaded.
e “require': cannot load such file -- rubygems (LoadError)

#11 - 2024-03-09 03:59 AM - bill-auger
- Assignee changed from bill-auger to lukeshu

- Status changed from in progress to fixed
